/*
 * crc8.c
 *
 *  Created on: 2009-04-03
 *      Author: Jakub Łasiński (j.lasinsk@gmail.com)
 */

#include "crc8.h"
/*
 * Counts CRC8 for single byte.
 */
uint8_t CRC8(uint8_t input, uint8_t seed)
{
    uint8_t i, feedback;
    for (i=0; i<8; i++)
    {
        feedback = ((seed ^ input) & 0x01);
        if (!feedback) seed >>= 1;
        else
        {
            seed ^= 0x18;
            seed >>= 1;
            seed |= 0x80;
        }
        input >>= 1;
    }

    return seed;
}

/*
 * Counts CRC for whole array.
 */
uint8_t CountCRC(uint8_t seed,uint8_t* c, uint8_t size)
{
	uint8_t i;
	for(i = 0;i<size;i++)
		seed = CRC8(c[i], seed);
	return seed;
}
