/*
 * delay.h
 *
 *  Created on: 2010-10-07
 *      Author: Jakub Łasiński (j.lasinsk@gmail.com)
 */
#ifndef __delay_h
#define __delay_h

#include "stdint.h"
#include "LPC13xx.h"
#define TIMER_NUM 0 //0 or 1
//#define TIMER_USE_32BIT_TIMER

#ifdef TIMER_USE_32BIT_TIMER
#	define TIMER_MAX UINT32_MAX
#	if TIMER_NUM == 0
#		define TIMER LPC_TMR32B0
#		define TIMER_SYSAHBCLKCTRL_BIT 9
#	else
#		define TIMER LPC_TMR32B1
#		define TIMER_SYSAHBCLKCTRL_BIT 10
#	endif
#else
#	define TIMER_MAX UINT16_MAX
#	if TIMER_NUM == 0
#		define TIMER LPC_TMR16B0
#		define TIMER_SYSAHBCLKCTRL_BIT 7
#	else
#		define TIMER LPC_TMR16B1
#		define TIMER_SYSAHBCLKCTRL_BIT 8
#	endif
#endif



void DelayInit();
void DelayUS(uint32_t delayUS);
void DelayMS(uint32_t delayMS);
#endif /*__delay_h*/
