/*
 * ds18b20.h
 *
 *  Created on: 2008-10-02
 *      Author: Jakub Łasiński (j.lasinsk@gmail.com)
 */

#ifndef DS18B20_H
#define DS18B20_H
#include "onewire.h"
struct temperature_struct
{
	uint8_t lsb;
	uint8_t msb;
};
/*
 * Used to parse incoming packet.
 */
void DS18B20Parse(uint16_t *senderAdress,uint8_t* data, uint8_t size);

/*
 * Converts temperature from two bytes read from the sensor to float.
 */
float temperatureToFloat(uint8_t lsb,uint8_t msb);

/*
 * Convert command to ds18b20. After this command You have to wait
 * approx 750ms until sensor finish converting the temperature to
 * discreet value.
 */
void ds18b20Convert(struct PinDesc *ow);

/*
 * Reads temperature from the sensor. Function checks the CRC8.
 */
uint8_t ds18b20ReadTempCRC(struct PinDesc *ow,float* temperature);
#endif /* DS18B20_H */
