#ifndef ONEWIRE_H
#define ONEWIRE_H

#include "gpio.h"
#include "delay.h"
#include <stdint.h>
/*
 * Macros used to drive binary I/O.
 */
#define OW_CLR(OW_PIN,OW) GPIOSetDir( OW_PIN, OW, 1 );GPIOSetValue( OW_PIN, OW, 0 )
#define OW_SET(OW_PIN,OW) GPIOSetDir( OW_PIN, OW, 0 )
#define OW_IN(OW_PIN,OW)  (GPIOGetValue( OW_PIN, OW))
//(GPIOSetDir( OW_PIN, OW, 0 );
/*
 * Structure used do describe a psychical pin, with one-wire support device.
 */
struct PinDesc
{
	uint32_t grp;
	uint32_t number;
};

/*
 * Reset command on one-wire.
 */
void ow_reset(struct PinDesc *ow);

/*
 * Writes bit command on one-wire.
 */
void ow_write_bit(struct PinDesc *ow, uint8_t b);

/*
 * Read bit command on one-wire.
 */
uint8_t ow_read_bit(struct PinDesc *ow);

/*
 * Read byte command on one-wire.
 */
uint8_t ow_read_byte(struct PinDesc *ow);

/*
 * Write byte command on one-wire.
 */
void ow_write_byte(struct PinDesc *ow,uint8_t val);

#endif
